# Interface HyperlinkProperties

A hyperlink associated with a feature or layer.

interface HyperlinkProperties {
iconUrl?: string;
target?: string;
text: string;
tooltip?: string;
url: string;
}

#####
Index

### Properties

iconUrl?
target?
text
tooltip?
url

##
Properties

### `Optional` iconUrl

iconUrl?: string

See Hyperlink.iconUrl.

### `Optional` target

target?: string

See Hyperlink.target.

### text

text: string

See Hyperlink.text.

### `Optional` tooltip

tooltip?: string

See Hyperlink.tooltip.

### url

url: string

See Hyperlink.url.